module.exports = api => {
  api.extendPackage({
    devDependencies: {
      commitizen: '^4.0.3',
      commitlint: '^8.2.0'
    },
    scripts: {
      cz: 'git add . && git cz'
    },
    gitHooks: {
      'commit-msg': 'commitlint -E HUSKY_GIT_PARAMS'
    },
    config: {
      commitizen: {
        path: './node_modules/vue-cli-plugin-mti-commitlint/libs/cz'
      }
    }
  })

  api.render('./template')
}
